%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name mailmanclient

Name:           python-mailman-client
Version:        1.0.1
Release:        14%{?dist}
Summary:        Python bindings for the Mailman 3 REST API

License:        LGPLv3
URL:            https://launchpad.net/mailman.client
BuildArch:      noarch

#Source0:        https://pypi.python.org/packages/source/m/%{upstream_name}/%{upstream_name}-%{version}+rev%{bzr}.tar.gz
Source0:        %{upstream_name}-%{version}dev.tar.gz

Patch10:         %{name}-add-existing-address.patch
Patch11:         %{name}-hotfixes.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-httplib2
# Required by the hotfixes patch
BuildRequires:  python-simplejson
# Test suite
BuildRequires:  python-contextlib2
BuildRequires:  python-mock
BuildRequires:  python-nose2
BuildRequires:  python-vcrpy

Requires:       python-setuptools
Requires:       python-six
Requires:       python-httplib2


%description
The ``mailman.client`` library provides official Python bindings for the GNU
Mailman 3 REST API.


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-mailman-client
Summary:        Python bindings for the Mailman 3 REST API

BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-httplib2
# Test suite
BuildRequires:  python%{python3_pkgversion}-contextlib2
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-nose2
BuildRequires:  python%{python3_pkgversion}-vcrpy

Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-httplib2

%description -n python%{python3_pkgversion}-mailman-client
The ``mailman.client`` library provides official Python bindings for the GNU
Mailman 3 REST API.
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}dev
%patch10 -p1
%patch11 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
rm -f  %{buildroot}%{python_sitelib}/%{upstream_name}/{README,NEWS}.rst
rm -rf %{buildroot}%{python_sitelib}/%{upstream_name}/docs

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
rm -f  %{buildroot}%{python3_sitelib}/%{upstream_name}/{README,NEWS}.rst
rm -rf %{buildroot}%{python3_sitelib}/%{upstream_name}/docs
%endif # with_python3


%check
%{__python} -m nose2

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} -m nose2
popd
%endif # with_python3


%files
%defattr(-,root,root,-)
%doc COPYING.LESSER src/mailmanclient/*.rst src/mailmanclient/docs/*.rst
%{python_sitelib}/%{upstream_name}
%{python_sitelib}/%{upstream_name}-%{version}*-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-mailman-client
%defattr(-,root,root,-)
%doc COPYING.LESSER src/mailmanclient/*.rst src/mailmanclient/docs/*.rst
%{python3_sitelib}/%{upstream_name}
%{python3_sitelib}/%{upstream_name}-%{version}*-py?.?.egg-info
%endif


%changelog
* Wed Apr 29 2015 Aurelien Bompard <abompard@fedoraproject.org> - 1.0.0-1
- version 1.0.0+rev70

* Thu Jun 19 2014 Aurelien Bompard <abompard@fedoraproject.org> - 1.0.0-0.5.b1
- new release

* Thu Mar 28 2013 Aurelien Bompard <abompard@fedoraproject.org> - 1.0.0a1
- Initial package.
